CUTLASS: cutlass::Array< T, N, false >::const_iterator Class Reference

| CUTLASS CUDA Templates for Linear Algebra Subroutines and Solvers

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
cutlass::Array< T, N, false >::const_iterator Class Reference

Bidirectional constant iterator over elements.

`#include <array_subbyte.h>`

## Public Member Functions
CUTLASS_HOST_DEVICE | const_iterator ()
CUTLASS_HOST_DEVICE | const_iterator (Storage const *ptr, int idx=0)
CUTLASS_HOST_DEVICE iterator & | operator++ ()
CUTLASS_HOST_DEVICE iterator & | operator-- ()
CUTLASS_HOST_DEVICE iterator | operator++ (int)
CUTLASS_HOST_DEVICE iterator | operator-- (int)
CUTLASS_HOST_DEVICE const_reference | operator* () const
CUTLASS_HOST_DEVICE bool | operator== (iterator const &other) const
CUTLASS_HOST_DEVICE bool | operator!= (iterator const &other) const

## Constructor & Destructor Documentation

template<typename T , int N>

CUTLASS_HOST_DEVICE cutlass::Array< T, N, false >::const_iterator::const_iterator | ( |  | ) |
| inline

template<typename T , int N>

CUTLASS_HOST_DEVICE cutlass::Array< T, N, false >::const_iterator::const_iterator | ( | Storage const * | ptr,
|  | int | idx = `0`
| ) |  |
| inline

## Member Function Documentation

template<typename T , int N>

CUTLASS_HOST_DEVICE bool cutlass::Array< T, N, false >::const_iterator::operator!= | ( | iterator const & | other | ) | const
| inline

template<typename T , int N>

CUTLASS_HOST_DEVICE const_reference cutlass::Array< T, N, false >::const_iterator::operator* | ( |  | ) | const
| inline

template<typename T , int N>

CUTLASS_HOST_DEVICE iterator& cutlass::Array< T, N, false >::const_iterator::operator++ | ( |  | ) |
| inline

template<typename T , int N>

CUTLASS_HOST_DEVICE iterator cutlass::Array< T, N, false >::const_iterator::operator++ | ( | int |  | ) |
| inline

template<typename T , int N>

CUTLASS_HOST_DEVICE iterator& cutlass::Array< T, N, false >::const_iterator::operator-- | ( |  | ) |
| inline

template<typename T , int N>

CUTLASS_HOST_DEVICE iterator cutlass::Array< T, N, false >::const_iterator::operator-- | ( | int |  | ) |
| inline

template<typename T , int N>

CUTLASS_HOST_DEVICE bool cutlass::Array< T, N, false >::const_iterator::operator== | ( | iterator const & | other | ) | const
| inline

The documentation for this class was generated from the following file:

- array_subbyte.h